Endpoints
GET/shops/{SHOP_ID}/debtList of debtList of debt
GET
/shops/{SHOP_ID}/debtGet list of debts
Path parameters
SHOP_IDintegerrequiredShop ID
Query parameters
pageintegerPage number
page_sizeintegerPage size
statusintegerStatus
Values
-1All status0Not transacted / Partial payment1Traded2Canceledshop_customer_idstringCustomer ID
Responses
object
dataarray<Debt>List of debts
page_numberintegerPage number
page_sizeintegerPage size
successbooleanSuccess status
total_entriesintegerTotal entries
total_pagesintegerTotal pages
sumintegerSum
Request
curl "https://pos.pages.fm/api/v1/shops/{SHOP_ID}/debt?api_key=API_KEY"Response 200
{
"success": true,
"data": [
{
"id": "3990cdc9-3f40-4086-9267-cd98a9d39a99",
"display_id": 3597,
"name_debt": "Công nợ tạo tự động",
"description": "Công nợ được tạo tự động từ tiền nợ khách đơn hàng #19872",
"status": 1,
"type": 0,
"money_must_pay_or_collect": 100000,
"money_payed_or_collected": 100000,
"currency": null,
"shop_id": 20,
"shop_customer_id": "9f222ccc-920d-47f5-89b9-edd10b488b3b",
"shop_customer": {
"id": "9f222ccc-920d-47f5-89b9-edd10b488b3b",
"name": "C. Hạnh",
"phone_numbers": [
"0334913933"
],
"customer": {
"id": "6ef36ea4-08f6-42db-ba7b-6e5198ede786",
"name": "C. Hạnh",
"fb_id": null,
"global_id": null,
"psid": null
}
},
"order_id": 123106,
"order": {
"id": 123106,
"display_id": 19872,
"custom_id": null,
"total_price": 147485,
"cod": -332536,
"assigning_seller_id": "3b782812-babe-482c-b520-cd0bc9728062"
},
"purchase_id": null,
"export_id": null,
"supplier_products_id": null,
"transaction_id": null,
"partner_id": null,
"creator_id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
"last_editor_id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
"user": {
"id": "cee3c05e-5f85-43c4-b27e-889b99c50097",
"name": "Vũ Sơn",
"fb_id": "377936050731194",
"phone_number": null
},
"inserted_at": "2025-09-23T07:11:10Z",
"updated_at": "2025-09-23T07:11:10Z",
"expired_at": "2025-10-23T07:11:10Z",
"is_locked": null,
"link": "https://pos.pancake.vn/shop/product/show-debt?link_key=c8a60d30-a147-4015-b5d8-3ad95f3a59aa"
}
]
}